Bug 250787 - net-mgmt/phpfpm_exporter: upstream bug was fixed without a release
Summary: net-mgmt/phpfpm_exporter: upstream bug was fixed without a release
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Li-Wen Hsu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-01 20:30 UTC by Kamigishi Rei
Modified: 2020-11-07 16:37 UTC (History)
3 users (show)

See Also:
gasol.wu: maintainer-feedback+


Attachments
Drop-in patch for the port's files directory (365 bytes, patch)
2020-11-01 20:30 UTC, Kamigishi Rei
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kamigishi Rei 2020-11-01 20:30:02 UTC
Created attachment 219282 [details]
Drop-in patch for the port's files directory

There is a bug with command line parsing in the 0.4.1 release source code. This was fixed in upstream: https://github.com/bakins/php-fpm-exporter/issues/20

See attached patch.
Comment 1 Li-Wen Hsu freebsd_committer 2020-11-03 04:22:59 UTC
Do we also need the patch from https://github.com/bakins/php-fpm-exporter/pull/21 ?
Comment 2 Kamigishi Rei 2020-11-03 08:08:17 UTC
Sadly I cannot test the fastcgi use case.

Is there a reason that we do not just update to 0.6.1?
Comment 3 Mikael Urankar freebsd_committer 2020-11-07 16:37:42 UTC
(In reply to Kamigishi Rei from comment #2)
You can submit a patch if you want